%define         srcname       wmCalClock
%define         srcdirname    Src

Name:           wmcalclock
Version:        1.25
Release:        %mkrel 1
Summary:        A dock application giving the current date and time
License:        GPLv2
Group:          Graphical desktop/WindowMaker
URL:            http://en.wikipedia.org/wiki/Wmcalclock
Source0:        http://www.cs.mun.ca/~gstarkes/wmaker/dockapps/files/%{srcname}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-------------------------------
BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel
#------------------------------

%description
wmCalClock is another dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the current
date and time, but can be set to give the Greenwich and local sidereal times at
any location.


%prep
%setup -q -n %{srcname}-%{version}

%build
%make -C %{srcdirname} CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 %{srcdirname}/%{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcdirname}/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING HINTS README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 07 2013 billybot <billybot> 1.25-1pclos2013
- import into pclos
